Bug 1288429 - /etc/tmpfiles.d/nss-pam-ldapd.conf shipped when /etc/tmpfiles.d is reserved for the local administrator
/etc/tmpfiles.d/nss-pam-ldapd.conf shipped when /etc/tmpfiles.d is reserved f...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss-pam-ldapd (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
BaseOS QE Security Team
:
: 1180983 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 02:56 EST by Jan Pazdziora
Modified: 2017-07-19 07:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-12-04 02:56:15 EST
Description of problem:

nss-pam-ldapd ships /etc/tmpfiles.d/nss-pam-ldapd.conf.

Man page tmpfiles.d(5) says:

       Files in /etc/tmpfiles.d override files with the same name in
       /usr/lib/tmpfiles.d and /run/tmpfiles.d. Files in /run/tmpfiles.d
       override files with the same name in /usr/lib/tmpfiles.d. Packages
       should install their configuration files in /usr/lib/tmpfiles.d. Files
       in /etc/tmpfiles.d are reserved for the local administrator, who may
       use this logic to override the configuration files installed by vendor
       packages.

Version-Release number of selected component (if applicable):

nss-pam-ldapd-0.8.13-8.el7.x86_64

How reproducible:

Deterministic

Steps to Reproduce:
1. yum install -y nss-pam-ldapd
2. rpm -qf /etc/tmpfiles.d/nss-pam-ldapd.conf

Actual results:

nss-pam-ldapd-0.8.13-8.el7.x86_64

Expected results:

error: file /etc/tmpfiles.d/nss-pam-ldapd.conf: No such file or directory

Additional info:

Shipping package content for /etc/tmpfiles.d complicates containerization when it's important to distinguish software and configuration/data, and when rpm upgrade mechanism for config files is not available because no rpm upgrade happen there.
Comment 1 Jakub Hrozek 2015-12-04 03:28:09 EST
So far we don't have any other nss-pam-ldapd bug on the radar for 7.3. Can you please clarify how important this would be to get fix so we know whether to add nss-pam-ldapd for consideration in 7.3?
Comment 2 Jan Pazdziora 2015-12-04 03:31:40 EST
It's not a blocker -- I've workarounded it in Dockerfile.
Comment 3 Jakub Hrozek 2016-01-28 11:27:31 EST
*** Bug 1180983 has been marked as a duplicate of this bug. ***
Comment 4 Jakub Hrozek 2016-02-08 23:54:01 EST
We do not plan on updating nss-pam-ldapd in 7.3 after all.

Note You need to log in before you can comment on or make changes to this bug.